/*
 *  Primitive Collections for Java.
 *  Copyright (C) 2003  Sren Bak
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Lesser General Public
 *  License as published by the Free Software Foundation; either
 *  version 2.1 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Lesser General Public License for more details.
 *
 *  You should have received a copy of the GNU Lesser General Public
 *  License along with this library; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */
import bak.pcj.list.IntStack;
import bak.pcj.list.IntArrayStack;

/**
 *  This examplifies the operations of a stack.
 *
 *  @author     S&oslash;ren Bak
 *  @version    1.0     2003/14/1
 */
public class StackExample {
    public static void main(String[] args) {
        IntStack s = new IntArrayStack();

        //  Pushing elements

        s.push(1);              //  s=[1]
        s.push(2);              //  s=[1,2,3]
        s.push(3);              //  s=[1]

        //  Inspecting

        int v;
        v = s.peek();           //  v=3, s=[1,2,3]

        //  Popping elements

        v = s.pop();            //  v=3, s=[1,2]
        v = s.pop();            //  v=0, s=[1]
    }
}